<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/widesea_wms/taskinfo/Dt_Task.js此处编写
 -->
<template>
    <view-grid ref="grid" :columns="columns" :detail="detail" :editFormFields="editFormFields"
        :editFormOptions="editFormOptions" :searchFormFields="searchFormFields" :searchFormOptions="searchFormOptions"
        :table="table" :extend="extend" />
</template>
<script>
import extend from "@/extension/widesea_wms/taskinfo/Dt_Task_Hty.jsx";
import { ref, defineComponent } from "vue";
export default defineComponent({
    setup() {
        const table = ref({
            key: 'taskId',
            footer: "Foots",
            cnName: '任务信息',
            name: 'taskinfo/Dt_Task_Hty',
            url: "/Task_Hty/",
            sortName: "TaskId"
        });
        const editFormFields = ref({
            "grade": "",
        });
        const editFormOptions = ref([
            [
                { "title": "优先级", "field": "grade", type: "text" },
            ],
        ]);
        const searchFormFields = ref({
        });
        const searchFormOptions = ref([
            [
                { "title": "任务号", "field": "taskNum", "type": "text" },
                { "title": "托盘号", "field": "palletCode", "type": "text" },
                { "title": "任务类型", "field": "taskType", "type": "select", dataKey: "TaskType", data: [] },
                { "title": "任务状态", "field": "taskState", "type": "select", dataKey: "TaskStatus", data: [] },

            ],
            [
                { "title": "起始位置", "field": "sourceAddress", type: "text" },
               
                { "title": "目标位置", "field": "targetAddress", type: "text" },
                { "title": "创建人", "field": "creater", type: "text" },
                { "title": "创建时间", "field": "createDate", type: "datetime" },
            ]
        ]);
        const columns = ref([{ field: 'TaskId', title: '主键', type: 'string', width: 110, hidden: true, readonly: true, require: true, align: 'left' },
        { field: 'taskNum', title: '任务号', type: 'int', width: 110, align: 'left', sort: true },
        { field: 'palletCode', title: '托盘号', type: 'string', width: 120, align: 'left' },
        { field: 'pnboundNo', title: '单据号', type: 'string', width: 110, align: 'left',hidden:true },
        { field: 'groupID', title: '库存ID', type: 'int', width: 110, hidden: true, align: 'left' },
        { field: 'groupDetailId', title: '组盘明细ID', type: 'int', width: 110, hidden: true, align: 'left' },
        { field: 'roadway', title: '操作系统', type: 'string', width: 110, align: 'left'},
        { field: 'taskType', title: '任务类型', type: 'int', width: 110, align: 'left', bind: { key: "TaskType", data: [] } },
        { field: 'taskState', title: '任务状态', type: 'int', width: 110, align: 'left', bind: { key: "TaskStatus", data: [] } },
        { field: 'sourceAddress', title: '起始位置', type: 'string', width: 110, align: 'left' },
        { field: 'currentAddress', title: '当前位置', type: 'string', width: 110, align: 'left', hidden: true },
        { field: 'nextAddress', title: '下一位置', type: 'string', width: 110, align: 'left' , hidden: true},
        { field: 'targetAddress', title: '目标位置', type: 'string', width: 110, align: 'left' },
        { field: 'grade', title: '优先级', type: 'int', width: 60, align: 'left' },
        { field: 'productionLine', title: '产线', type: 'string', width: 70, align: 'left', bind: { key: "ProductionLine", data: [] } , hidden: true },
        { field: 'errorMessage', title: '异常信息', type: 'string', width: 110,  align: 'left',sort: true , hidden: true},
        { field: 'dispatchertime', title: '任务下发时间', type: 'datetime', width: 150, align: 'left', sort: true },
        { field: 'remark', title: '备注', type: 'string', width: 110, align: 'left',hidden: true, hidden: true },
        { field: 'createDate', title: '创建时间', type: 'datetime', sort: true, width: 150, align: 'left', sort: true },
        { field: 'modifyDate', title: '修改时间', type: 'datetime', sort: true, width: 150, align: 'left', sort: true },
        { field: 'creater', title: '创建人', type: 'string', sort: true, width: 110, align: 'left' },
        { field: 'modifier', title: '修改人', type: 'string', sort: true, width: 100, align: 'left' },
        { field: 'locationCode', title: '货位号', type: 'string', width: 110, hidden: true, align: 'left' },
        { field: 'materialNo', title: '物料编号', type: 'string', width: 110, hidden: true, align: 'left' },
        { field: 'targetAddress', title: '目标地址', type: 'string', width: 110, hidden: true, align: 'left' },
        { field: 'processCode', title: '工序', type: 'string', width: 90, align: 'left' , hidden: true},
        { field: 'createID', title: '创建ID', type: 'int', sort: true, width: 100, hidden: true, align: 'left' },
        { field: 'modifyID', title: '修改人ID', type: 'int', sort: true, width: 100, hidden: true, align: 'left' },]);
        const detail = ref({
            cnName: "#detailCnName",
            table: "#detailTable",
            columns: [],
            sortName: "",
            key: ""
        });
        return {
            table,
            extend,
            editFormFields,
            editFormOptions,
            searchFormFields,
            searchFormOptions,
            columns,
            detail,
        };
    },
});
</script>
